apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Justin Erenkrantz <jus...@erenkrantz.com>
Subject [PATCH] Support compiling httpd against APR/apr-util 1.x when buildconf against 2.x/trunk
Date Sun, 30 May 2010 01:36:32 GMT
I would like to go commit the following to apr and httpd trunk.

I don't think it is appropriate for the local buildconf-time
environment to make it impossible at configure-time to use an older
APR configuration.  Restoring find_apu.m4 to apr trunk resolves this
issue for me.  (I'm leaving the ifdef in httpd configure.in to not
force everyone to update their APR/httpd trunks in unison; but I can
be convinced to remove the ifdef...)

Thoughts?  -- justin

(for APR)
svn cp https://svn.apache.org/repos/asf/apr/apr-util/branches/1.5.x/build/find_apu.m4
https://svn.apache.org/repos/asf/apr/apr/trunk/build/find_apu.m4

(for httpd)
Index: configure.in
===================================================================
--- configure.in	(revision 949455)
+++ configure.in	(working copy)
@@ -120,8 +120,6 @@
 elif test "x$with_included_apr" = "xyes"; then
    apu_found=reconfig
 else
-   dnl If httpd is buildconf'ed against an apr 2.x tree, then 1.x
-   dnl isn't supported.
    ifdef([APR_FIND_APU], [
      APR_FIND_APU("$srcdir/srclib/apr-util", "./srclib/apr-util",
                   1, ${apr_major_version})
Index: buildconf
===================================================================
--- buildconf	(revision 949455)
+++ buildconf	(working copy)
@@ -170,6 +170,8 @@
    $apr_src_dir/build/find_apr.m4 build
 if [ $apr_major_version -lt 2 ] ; then
     cp $apu_src_dir/build/find_apu.m4 build
+else
+    cp $apr_src_dir/build/find_apu.m4 build
 fi

 # Remove any libtool files so one can switch between libtool 1.3

Mime
View raw message